Bug 1279210 - OpenVPN 2.3.8 is broken with systemd when the key has a password
OpenVPN 2.3.8 is broken with systemd when the key has a password
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
23
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 11:02 EST by oli
Modified: 2016-12-20 10:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:31:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oli 2015-11-08 11:02:11 EST
Description of problem:
Since 2.3.8 its impossible to use OpenVPN to connect to any server when the key file is protected with a password. 

Nov  8 16:47:19 localhost openvpn[10664]: OpenVPN 2.3.8 x86_64-redhat-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [PKCS11] [MH] [IPv6] built on Nov  8 2015
Nov  8 16:47:19 localhost openvpn[10664]: library versions: OpenSSL 1.0.2d-fips 9 Jul 2015, LZO 2.08
Nov  8 16:47:19 localhost openvpn[10664]: neither stdin nor stderr are a tty device, can't ask for Private Key password.  If you used --daemon, you need to use --askpass to make passphrase-protected keys work, and you can not use --auth-nocache.
Nov  8 16:47:19 localhost openvpn[10664]: Exiting due to fatal error

How reproducible:
When connecting, the error is thrown

Steps to Reproduce:
1. create a x509 key protected with a password - and the certificate
2. register to any openvpn server (Version 2.3.8)
3. error occurs 

Actual results:


Expected results:
being able to connect 

Additional info:
https://community.openvpn.net/openvpn/ticket/618
Comment 1 Tomas Hoger 2015-11-13 10:12:43 EST
The patch in the upstream bug fixes username/password authentication prompt.  The comment there suggests it does not fix / break private key prompt.
Comment 2 Fedora End Of Life 2016-11-24 08:12:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 10:31:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.